メインコンテンツへスキップ
POST
/
docgen_templates
cURL
curl -L 'https://api.box.com/2.0/docgen_templates' \
     -H 'box-version: 2025.0' \
     -H 'Authorization: Bearer <ACCESS_TOKEN>' \
     -H 'Content-Type: application/json' \
     -D '{
        "file": {
            "id": "12345678",
            "type": "file"
        }
}'
{
  "file": {
    "type": "file",
    "id": "42037322"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ヘッダー

box-version
enum<string>
必須

Version header.

利用可能なオプション:
2025.0

ボディ

application/json

Marks the provided file as a Box Doc Gen template.

ドキュメントをBox Doc Genテンプレートとして設定するためのスキーマ。

file
ファイルの参照 · object
必須

ドキュメントを生成するためのBox Doc Genテンプレートとしてファイルを設定します。

レスポンス

現在Box Doc Genテンプレートとして設定されているファイル。

他のリソース内にネストされたときに使用されるBox Doc GenテンプレートのBase版の表示。

file
ファイルの参照 · object

ドキュメントの生成元となるファイルを有効にします。